static const char *RcsId = "$Header: /cvsroot/tango-cs/tango/cppserver/TangoTest/ClassFactory.cpp,v 1.5 2007/12/11 19:07:52 nleclercq Exp $";
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible to create
//               all class singletin for a device server. It is called
//               at device server startup
//
// project :     TANGO Device Server
//
// $Author: nleclercq $
//
// $Revision: 1.5 $
//
// $Log: ClassFactory.cpp,v $
// Revision 1.5  2007/12/11 19:07:52  nleclercq
// added a "no_value" and a "throw_exception" attribute
//
// Revision 1.6  2006/05/17 17:07:53  leclercq
// Update NL du 17.05.06 (Tango 5.4.2)
//
// Revision 1.4  2006/02/08 16:14:26  nleclercq
// Minor modifs in RW spectrum and image attributes
//
//
// copyleft :     Synchrotron SOLEIL
//                L'Orme des Merisiers
//                Saint-Aubin - BP 48
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================


#include <tango.h>
#include <TangoTestClass.h>

/**
 *	Create TangoTestClass singleton and store it in DServer object.
 */

void Tango::DServer::class_factory()
{

	add_class(TangoTest_ns::TangoTestClass::init("TangoTest"));

}
